<html>
<head>
<title>/home/cabal/programming/ogre/sources/ogre_src_v1-8-0/RenderSystems/Direct3D9/include/ -&gt; OgreMain Relation - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_c7ffc14721c8bed1493f4f78ca8c7331.html">Direct3D9</a>      </li>
      <li class="navelem"><a class="el" href="dir_1208738e8444befc5f502320df40a1ea.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h3>include &rarr; OgreMain Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in RenderSystems/Direct3D9/include</th><th class="dirtab">Includes file in OgreMain</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9DepthBuffer_8h.html">OgreD3D9DepthBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreDepthBuffer_8h.html">OgreDepthBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Device_8h.html">OgreD3D9Device.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderTarget_8h.html">OgreRenderTarget.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Driver_8h.html">OgreD3D9Driver.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreString_8h.html">OgreString.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9GpuProgram_8h.html">OgreD3D9GpuProgram.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgram_8h.html">OgreGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9GpuProgramManager_8h.html">OgreD3D9GpuProgramManager.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreGpuProgramManager_8h.html">OgreGpuProgramManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9HardwareBufferManager_8h.html">OgreD3D9HardwareBufferManager.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareBufferManager_8h.html">OgreHardwareBufferManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9HardwareIndexBuffer_8h.html">OgreD3D9HardwareIndexBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareIndexBuffer_8h.html">OgreHardwareIndexBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9HardwareOcclusionQuery_8h.html">OgreD3D9HardwareOcclusionQuery.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareOcclusionQuery_8h.html">OgreHardwareOcclusionQuery.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9HardwarePixelBuffer_8h.html">OgreD3D9HardwarePixelBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwarePixelBuffer_8h.html">OgreHardwarePixelBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9HardwareVertexBuffer_8h.html">OgreD3D9HardwareVertexBuffer.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareVertexBuffer_8h.html">OgreHardwareVertexBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9HLSLProgram_8h.html">OgreD3D9HLSLProgram.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHighLevelGpuProgram_8h.html">OgreHighLevelGpuProgram.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9HLSLProgramFactory_8h.html">OgreD3D9HLSLProgramFactory.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHighLevelGpuProgramManager_8h.html">OgreHighLevelGpuProgramManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Mappings_8h.html">OgreD3D9Mappings.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreCommon_8h.html">OgreCommon.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Mappings_8h.html">OgreD3D9Mappings.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareBuffer_8h.html">OgreHardwareBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Mappings_8h.html">OgreD3D9Mappings.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareIndexBuffer_8h.html">OgreHardwareIndexBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Mappings_8h.html">OgreD3D9Mappings.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreLight_8h.html">OgreLight.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Mappings_8h.html">OgreD3D9Mappings.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreMaterial_8h.html">OgreMaterial.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Mappings_8h.html">OgreD3D9Mappings.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9MultiRenderTarget_8h.html">OgreD3D9MultiRenderTarget.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreException_8h.html">OgreException.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9MultiRenderTarget_8h.html">OgreD3D9MultiRenderTarget.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreImage_8h.html">OgreImage.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9MultiRenderTarget_8h.html">OgreD3D9MultiRenderTarget.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderTexture_8h.html">OgreRenderTexture.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9MultiRenderTarget_8h.html">OgreD3D9MultiRenderTarget.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreTexture_8h.html">OgreTexture.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Plugin_8h.html">OgreD3D9Plugin.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgrePlugin_8h.html">OgrePlugin.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Prerequisites_8h.html">OgreD3D9Prerequisites.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9RenderSystem_8h.html">OgreD3D9RenderSystem.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9RenderSystem_8h.html">OgreD3D9RenderSystem.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderSystemCapabilities_8h.html">OgreRenderSystemCapabilities.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9RenderSystem_8h.html">OgreD3D9RenderSystem.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreString_8h.html">OgreString.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9RenderSystem_8h.html">OgreD3D9RenderSystem.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreStringConverter_8h.html">OgreStringConverter.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9RenderWindow_8h.html">OgreD3D9RenderWindow.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderWindow_8h.html">OgreRenderWindow.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Texture_8h.html">OgreD3D9Texture.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreException_8h.html">OgreException.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Texture_8h.html">OgreD3D9Texture.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreImage_8h.html">OgreImage.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Texture_8h.html">OgreD3D9Texture.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreRenderTexture_8h.html">OgreRenderTexture.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9Texture_8h.html">OgreD3D9Texture.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreTexture_8h.html">OgreTexture.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9TextureManager_8h.html">OgreD3D9TextureManager.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreTextureManager_8h.html">OgreTextureManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9VertexDeclaration_8h.html">OgreD3D9VertexDeclaration.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreHardwareVertexBuffer_8h.html">OgreHardwareVertexBuffer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="OgreD3D9VideoMode_8h.html">OgreD3D9VideoMode.h</a></td><td class="dirtab"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>&#160;/&#160;<a class="el" href="OgreString_8h.html">OgreString.h</a></td></tr></table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:34
</p>
</body>
</html>
